#ifndef CONSTANTS_H
#define CONSTANTS_H

// Multiplexer
const int MUX_S0 = 15;
const int MUX_S1 = 14;
const int MUX_S2 = 4;
const int MUX_S3 = 5;

const int MUX_SIG = 6;

// Shift register
const int SR_RCLK = 8;
const int SR_SRCLK = 7;
const int SR_SER = 1;

#define NUM_PRESET_TYPES 2
#define NUM_BUTTONS 10
#define NUM_BUTTONS_MIDI 9
#define NUM_CHANNELS 16

#define BUTTON_CONTROL 9
#define BUTTON_CONTROL_PRESET_TYPE 0
#define BUTTON_CONTROL_PRESET_NO 1
#define BUTTON_CONTROL_CHANNEL_PLUS 2
#define BUTTON_CONTROL_CHANNEL_MINUS 3

enum PresetType {
  PRESET_NOTES,
  PRESET_CONTROL
};

static const char* presetText[NUM_PRESET_TYPES] = {"NOTES", "CC"};

#endif // CONSTANTS_H
