#ifndef UTILS_H
#define UTILS_H

#include <Arduino.h>
#include "MIDIUSB.h"
#include "PitchToNote.h"
#include "constants.h"

void setLed(unsigned char pin, unsigned char ledStates[2], unsigned char state);

void updateShiftRegister(unsigned char val[2]);

bool muxRead(int pin);

void controlChange(unsigned char channel, unsigned char control, unsigned char value);

void noteOn(unsigned char channel, unsigned char pitch, unsigned char velocity);

void noteOff(unsigned char channel, unsigned char pitch, unsigned char velocity);

int getNote(int presetNumber, int index);

void getNoteName(int presetNumber, int index, char *name);

int getControl(int presetNumber, int index);

void turnOffAll(int channel, unsigned char ledStates[2], int presetNumber);

#endif // UTILS_H
